Download it now!
Bug 95777 - FILEOPEN: DOCX - File no longer opens from 5.0 (SAXParseException line 1)
Summary: FILEOPEN: DOCX - File no longer opens from 5.0 (SAXParseException line 1)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: high major
Assignee: Mike Kaganski
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-11-12 16:25 UTC by Timur
Modified: 2016-01-06 08:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Document just resaved (486.99 KB, application/vnd.openxmlformats-officedocument.wordprocessingml)
2015-11-12 17:45 UTC, Jacques Guilleron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2015-11-12 16:25:52 UTC
Attachment 86242 [details] from Bug 69640 can't be open with 5.0 nor 5.1 alpha1. 
Error:
File format error found at Unexpected entry name syntax.
SAXParseException: '[word/document.xml line 1]: unknown error', Stream 'word/document.xml', Line 1, Column 20542(row,col).
Comment 1 Jacques Guilleron 2015-11-12 17:43:59 UTC
Hi Timur,

I just reopened and saved again this file in Word 2010. It can be opened now without error with 
LO  5.0.3.2 Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
and LO 5.0.0.0.alpha1+ Build ID: 6664859e1e8b3f8b7db8c931b8d0335510c20ce0
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-16_03:16:31
I join the file.

Regards.
Comment 2 Jacques Guilleron 2015-11-12 17:45:25 UTC
Created attachment 120510 [details]
Document just resaved
Comment 3 raal 2015-11-13 10:40:49 UTC
I can open file with Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89), win7, regression

Error in LO 5.0.2, win7
Comment 4 raal 2015-11-13 12:54:22 UTC
This seems to have begun at the below commit.
Adding Cc: to mstahl@redhat.com ; Could you possibly take a look at this one? Thanks

07335c0a11142b308d6d73dd6a7176e52e5a483f is the first bad commit
commit 07335c0a11142b308d6d73dd6a7176e52e5a483f
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed May 20 02:03:48 2015 -0500

    source sha:ebf767eeb2a169ba533e1b2ffccf16f41d95df35

    source sha:ebf767eeb2a169ba533e1b2ffccf16f41d95df35

author	Michael Stahl <mstahl@redhat.com>	2015-01-22 11:50:07 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2015-01-22 12:58:10 (GMT)
commit	ebf767eeb2a169ba533e1b2ffccf16f41d95df35 (patch)
writerfilter: DOCX import: better error handling than "catch (...) {}"
Comment 5 Mike Kaganski 2015-11-14 22:57:13 UTC
Posted a patch for both this and bug 69640 to gerrit:
https://gerrit.libreoffice.org/19963
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:14:22 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]
Comment 7 Timur 2016-01-06 08:31:37 UTC
Fixed in Bug 69640.